#!/usr/pkg/bin/perl
# exif
use strict;

push(@INC,"./exiftool/lib");
require Image::ExifTool;

foreach my $file ( @ARGV  ) {
  # It's already the hash we want!  :)
  my $exif = Image::ExifTool::ImageInfo($file);
  print "$file:\n";
  foreach my $key ( keys %$exif ) {
    printf "  %-30s $exif->{$key}\n", $key;
  }
}
